This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 861680 - [abrt] libreoffice-core-3.5.6.2-2.fc17: IsTableNode: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.6.2-2.fc17: IsTableNode: Process /usr/lib64/libre...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
abrt_hash:04047ff34fd4abc322d3a9210bf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 19:50 EDT by Tobias Mueller
Modified: 2012-12-20 11:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:11:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (10.45 KB, text/plain)
2012-09-29 19:50 EDT, Tobias Mueller
no flags Details
File: environ (2.25 KB, text/plain)
2012-09-29 19:50 EDT, Tobias Mueller
no flags Details
File: backtrace (96.80 KB, text/plain)
2012-09-29 19:50 EDT, Tobias Mueller
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-29 19:50 EDT, Tobias Mueller
no flags Details
File: cgroup (129 bytes, text/plain)
2012-09-29 19:50 EDT, Tobias Mueller
no flags Details
File: maps (89.05 KB, text/plain)
2012-09-29 19:50 EDT, Tobias Mueller
no flags Details
File: dso_list (17.69 KB, text/plain)
2012-09-29 19:50 EDT, Tobias Mueller
no flags Details
File: var_log_messages (674 bytes, text/plain)
2012-09-29 19:50 EDT, Tobias Mueller
no flags Details
File: open_fds (352 bytes, text/plain)
2012-09-29 19:51 EDT, Tobias Mueller
no flags Details
file that makes libreoffice crash (85.00 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-09-30 10:51 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2012-09-29 19:50:39 EDT
Description of problem:
I tried to open a file.

Version-Release number of selected component:
libreoffice-core-3.5.6.2-2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///tmp/dd.docx --splash-pipe=6
crash_function: IsTableNode
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 IsTableNode at /usr/src/debug/libreoffice-3.5.6.2/sw/inc/node.hxx
: #1 SwNode::FindTableNode at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/docnode/node.cxx
: #2 FindTableNode at /usr/src/debug/libreoffice-3.5.6.2/sw/inc/node.hxx
: #3 SwTableBox::SwTableBox at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/table/swtable.cxx
: #4 lcl_CopyTblBox at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/docnode/ndcopy.cxx
: #5 SvPtrarr::_ForEach at /usr/src/debug/libreoffice-3.5.6.2/svl/source/memtools/svarray.cxx
: #6 ForEach at /usr/src/debug/libreoffice-3.5.6.2/sw/inc/swtable.hxx
: #7 lcl_CopyTblLine at /usr/src/debug/libreoffice-3.5.6.2/sw/source/core/docnode/ndcopy.cxx
: #8 SvPtrarr::_ForEach at /usr/src/debug/libreoffice-3.5.6.2/svl/source/memtools/svarray.cxx
: #9 ForEach at /usr/src/debug/libreoffice-3.5.6.2/sw/inc/swtable.hxx
Comment 1 Tobias Mueller 2012-09-29 19:50:43 EDT
Created attachment 619240 [details]
File: core_backtrace
Comment 2 Tobias Mueller 2012-09-29 19:50:45 EDT
Created attachment 619241 [details]
File: environ
Comment 3 Tobias Mueller 2012-09-29 19:50:48 EDT
Created attachment 619242 [details]
File: backtrace
Comment 4 Tobias Mueller 2012-09-29 19:50:50 EDT
Created attachment 619243 [details]
File: limits
Comment 5 Tobias Mueller 2012-09-29 19:50:52 EDT
Created attachment 619244 [details]
File: cgroup
Comment 6 Tobias Mueller 2012-09-29 19:50:54 EDT
Created attachment 619245 [details]
File: maps
Comment 7 Tobias Mueller 2012-09-29 19:50:57 EDT
Created attachment 619246 [details]
File: dso_list
Comment 8 Tobias Mueller 2012-09-29 19:50:59 EDT
Created attachment 619247 [details]
File: var_log_messages
Comment 9 Tobias Mueller 2012-09-29 19:51:01 EDT
Created attachment 619248 [details]
File: open_fds
Comment 10 Tobias Mueller 2012-09-30 10:49:18 EDT
Opened a file.

backtrace_rating: 4
Package: libreoffice-core-3.5.6.2-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Tobias Mueller 2012-09-30 10:51:10 EDT
Created attachment 619446 [details]
file that makes libreoffice crash
Comment 12 Caolan McNamara 2012-10-02 04:31:57 EDT
reproducible
Comment 13 Caolan McNamara 2012-10-02 05:27:32 EDT
no crash in 3-6 at least
Comment 14 Michael Stahl 2012-10-02 18:14:40 EDT
tracked it down to this commit in the libreoffice-3-5 branch:

commit 9073da554f407c7aed8af6231313c5355cc266e0
Author: Miklos Vajna <vmiklos@suse.cz>
Date:   Mon Jun 11 11:19:19 2012 +0200

    fdo#49659 three RTF fixes

from the backtrace i guess this part is the problem:

    3) dmapper: handle tables in substreams
    
    (cherry picked from commit 61ba6e49f5bbadaf1334ce71459647c3d0a3a37d)
    (cherry picked from commit 3c5a75208b41239b2e840a2ea9932a9f5b872b36)

so this bug is actually a regression in LO 3.5.6, it didn't crash in 3.5.5.

it also seems to work in the 3.6 branch, as mentioned in comment #13.

so probably something is missing in that backport...
Comment 15 Michael Stahl 2012-10-04 06:45:37 EDT
fixed upstream by Miklos:

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-5&id=ee2645558a843cbaa658ed12effc543da7ac335c

will be fixed in 3.5.7.2-1 package.
Comment 16 Fedora Update System 2012-10-05 01:29:28 EDT
libreoffice-3.5.7.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.7.2-2.fc17
Comment 17 Fedora Update System 2012-10-05 23:50:08 EDT
Package libreoffice-3.5.7.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.7.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15506/libreoffice-3.5.7.2-2.fc17
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2012-12-20 11:11:18 EST
libreoffice-3.5.7.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.